/** SUID shell script wrapper
 *
 * Most sane operating systems these days don't let you run suid shell
 * scripts.  If you make the compiled output of this program suid, then
 * you have a more secure way to run suid shell scripts.
 *
 * @author: Neale Pickett <neale@woozle.org>
 */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include "convert.h"

#define PROGRAM "convert.sh"

int
main(int argc, char *argv[])
{
  execv(BASEPATH "/" PROGRAM, argv);
  perror("Couldn't execute \"" BASEPATH "/" PROGRAM);
  fprintf(stderr, "You may have to re-make the \"convert\" program.\n");
  exit(1);
}
